Wikimania 2015 Hackathon Showcase
Closed, ResolvedPublic

Description

For the results of the Wikimedia Hackathon 2015 Showcase in Lyon, see T96378.

The Wikimania Hackathon Showcase has taken place on the final day of Wikimania. It was run by @siebrand and @Rfarrand.

Hackers were asked to add information about their demo-able hacking project to an etherpad: https://etherpad.wikimedia.org/p/T102034. About 80% of proposal were submitted by the night before the showcase. The rest came in last minute.

In the last afternoon of the hackthon, there was a 30 minute briefing session for showcase presenters led by Siebrand. Three presenters showed up for help and tips. Someone from the Team Practices group was present to offer help with creating slides where needed.

23 hackathon projects were presented. Presenters for 1 project didn't show up for the showcase. Each presenter had 3 minutes of air time, including the time needed to switch computers where needed. 2 presentations went about 1 minute over time. Most presentations required around 2 minutes. 23 presentations were completed in 50 minutes.

Methodology used: presenters lined up and were briefed by Rachel. Siebrand did logistics on the state. The introduction was very short; around 30 seconds. Siebrand would keep time using an app on his phone and presenters were shown a 1 minute sign around that mark. Once the queue was done, people were thanked and a question about hackathon attendees vs. non-attendees was asked. Of the roughly 100 people present, about 1/3 hadn't attended the hackathon.

We also showed the group picture taken at the hacakthon. As we had time left, we proceeded to invite the audience to participate in a retrospective. One remark came out of that: a female audience member pointed out the friendly space policy and how show had perceived this as something positive that enriched her experience.

Everyone else can help:

  • Creating documentation on showcase presentation best practices. Including time of each presentation, pro-tips on how to have a successful presentation. Example: In Lyon some teams pre-made videos that demoed their work which worked out really well.
  • By word of mouth at the hackathon, make sure people know when the showcase is and that they should be there even if they are not presenting

adding content of the eitherpad:
Projects showcase (https://phabricator.wikimedia.org/T102034 )

Please attend the showcase briefing in Don Genaro 2 on Thursday at 15:00 for a detailed briefing, Q&A and best practices list discussion.
Showcase is at 12:30 on Sunday in Don Alberto 1

You will be able to connect your computer to a projector. You can sit, facing the audience, work on your laptop, and your voice will be amplified using a static, adjustable microphone. You can connect with VGA, HDMI, and mini DisplayPort

In order to showcase your project, edit this etherpad and add the related data below:
Wikidata on maps DONE
Creating interactive wikidata map layers, based on queries
@aude
http://wikimap.filbertkm.com/

Services deployment tooling DONE
Use scap to do all the trebuchet things—deploying projects other than mediawiki via scap
URL: http://tyler.zone/scap.gif
@thcipriani

Outreach Dashboard - https://phabricator.wikimedia.org/T103623 DONE
Get an instance of the Wiki Ed Dashboard up and running on wmflabs for other use by edit-a-thons and other non-Wiki Ed outreach projects.
https://github.com/WikiEducationFoundation/WikiEduDashboard
https://outreachdashboard.wmflabs.org
@Ragesoss, @awight, @AndyRussG

Auto-generated screenshot with translated content - https://phabricator.wikimedia.org/T105466 DONE
Auto-generated screenshots for user guides can now also have translated content, and not only translated UI.
@Amire80, @Vikassy, @zeljkofilipin

MediaWiki Usage Report - https://phabricator.wikimedia.org/T100217 DONE
Who the heck is using MediaWiki and how? What can we do to improve the community around MediaWiki?
https://docs.google.com/presentation/d/1MUDdnj9DEV7IKQbocG1samCxylDHpsISm1Uzf5x4WMc/edit?usp=sharing
https://www.mediawiki.org/wiki/2015_MediaWiki_User_Survey
@Ckoerner, @MarkAHershberger, Mglaser (MediaWiki Stakeholders Group, https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group )

VisualEditor Translathon - https://phabricator.wikimedia.org/T91108 DONE
translate ALL the VE-things! https://translatewiki.net/wiki/Project:VisualEditor/2015_Translathon
https://docs.google.com/presentation/d/1dKN37zZqsQgEi3pJsF799ieRd5lzB2WzGH0aJoMf2Kk/edit?usp=sharing
@Elitre, @Trizek-WMF
we can load the slides from any laptop (will be using Siebrand's laptop)

In-editor uploads DONE
Upload files from inside WikiEditor.
http://en.wikipedia.beta.wmflabs.org/wiki/Test_page
@MarkTraceur
Laptop, Internet access, beta labs not crashing, ability to sign in to my beta labs account.

Surface Image Content Gap DONE
R&D project to surface articles with most views that are lacking illustration on Wikipedia.
https://github.com/Commonists/SurfaceImageContentGap
https://fr.wikipedia.org/w/index.php?title=Utilisateur:RawBot/TestInfoBox&oldid=116911399
@PierreSelim

Draft Code of Conduct for Technical spaces - https://phabricator.wikimedia.org/T90908 DONE
We drafted an initial code of conduct for Wikimedia technical spaces. More work is needed.
https://www.mediawiki.org/wiki/Code_of_conduct_for_technical_spaces/Draft
@Mattflaschen, @Aklapper, @Fhocutt, et al

Revision scoring as a service - https://phabricator.wikimedia.org/tag/revscoring/ DONE
Deployed damage detection models for Spanish and Indonesian Wikipedias
URLs
Tool demonstration: https://tools.wmflabs.org/raun/?language=pt&project=wikipedia&userlang=en
http://ores-staging.wmflabs.org/scores/eswiki/reverted/3700393/
https://es.wikipedia.org/wiki/?diff=3700393
http://ores-staging.wmflabs.org/scores/frwiki/reverted/324234/
https://fr.wikipedia.org/wiki/?diff=324234
@Halfak, @gediz,

Wikidata support in OpenStreetMap’s iD editor: https://phabricator.wikimedia.org/T106094 DONE
Make it dead-simple for novice mappers to link OpenStreetMap objects to Wikidata entities
https://github.com/openstreetmap/iD/pull/2732
@mxn
Internet access and a local Web server set up (preferably just @mxn’s laptop)

Bingo Grid Generator - https://phabricator.wikimedia.org/T105932 DONE
Tool to generate bingo grids to be used at Wikimedia events, keynotes and presentations
https://github.com/Commonists/bingo
https://commons.wikimedia.org/wiki/File:Wikimania_2015_-_Pleanaries_and_Q%26A_bingo_card.pdf
https://commons.wikimedia.org/wiki/File:Wikimania_2015_-_Plenary_session_-_bingo_sheets_on_chairs.jpg
https://twitter.com/search?q=wikimania+bingo&src=typd
@JeanFred, @PierreSelim, @Braveheart

Modernize wikitext editing DONE
Implementing a new awsome and modern OOjs-ui interface for editing wikitext
https://gerrit.wikimedia.org/r/#/c/224971/
@Mooeypoo, @ערן

Article Recommendation DONE
Finds articles that are important in a source wiki and would be important but are missing from the destination wiki.
http://recommend.wmflabs.org
@ellery, @leila, @Milimetric

Migrate to Vega 2.0 (interactive) - https://phabricator.wikimedia.org/T106101 DONE
Allow interactive graphs and maps in Wikipedia
@Yurik

Deploy Maps service to production - https://phabricator.wikimedia.org/T105394 DONE
Prepare Maps service for production deployment
@Yurik, @MaxSem, @akosiaris

WikiProject Assessment Helper DONE
Wizard for doing WikiProject Assessments
@kaldari

Webkipedia - https://phabricator.wikimedia.org/T106275 DONE
A web application frontend for Wikipedia
https://chimeces.com/webkipedia
@Jhernandez
Latest chrome and a working internet connection could suffice.

NoclaimsBot DONE
Set up a bot to reduce the number of claimsless items on Wikidata (3M / 15M)
@Multichill
My laptop, VGA

PanoramaViewer on Commons DONE
https://commons.wikimedia.org/wiki/File:St_Etheldreda%27s_Church_Interior_360x180,_London,_UK_-_Diliff.jpg
https://commons.wikimedia.org/wiki/File:Screeniepanoviewer.png
@dschwen

Realtime Top 10 Trending Article Views DONE
@Ottomata
my laptop, mac thunderbolt

How-to analyze billions of Wikipedia pageviews in seconds DONE
@FelipeHoffa
https://www.reddit.com/r/bigquery/comments/3dg9le/analyzing_50_billion_wikipedia_pageviews_in_5/
My laptop

Render references list in multiple columns based on the number of items DONE
@Krinkle
https://phabricator.wikimedia.org/T33597
Laptop

HBot: Using Online Bots to tell the story of the fallen and other minorities
Using online bots to bring diversity to Wikipedia!
URL
@veronicasofiajl, @saiphchen, UNAM,@Lowieciuda
This project was not presented, as the presenters were not present.

Measurement of success

According to T101956: Deployment of Content Translation beta-feature on Cheyenne (chy) Wikipedia:

Hackathon Showcase features at least 8 demos produced at the event in front of a mixed audience of developers and editors.

Open actions:

  • @siebrand: Move etherpad content into this task after the showcase
  • @Rfarrand: review the main contents of this issue for completeness and correctness.
Rfarrand created this task.Jun 10 2015, 6:47 PM
Rfarrand updated the task description. (Show Details)
Rfarrand raised the priority of this task from to Normal.
Rfarrand assigned this task to siebrand.
Rfarrand added subscribers: siebrand, Qgil, Aklapper and 3 others.
Qgil updated the task description. (Show Details)Jun 24 2015, 8:10 AM
Qgil set Security to None.

Now this task is linked from the Wikimania schedule, see https://wikimania2015.wikimedia.org/wiki/Programme/Sunday

Qgil updated the task description. (Show Details)Jul 1 2015, 2:44 PM
Elitre added a subscriber: Elitre.Jul 11 2015, 3:06 AM
siebrand renamed this task from Wikimania Hackathon Showcase to Wikimania 2015 Hackathon Showcase.Jul 15 2015, 4:00 AM
siebrand updated the task description. (Show Details)
siebrand raised the priority of this task from Normal to High.
siebrand updated the task description. (Show Details)Jul 15 2015, 4:02 AM
brion added a subscriber: brion.Jul 16 2015, 2:46 PM
aude added a subscriber: aude.Jul 16 2015, 3:19 PM
siebrand updated the task description. (Show Details)Jul 19 2015, 6:50 PM
siebrand updated the task description. (Show Details)

What is the status of this task, now that Wikimania 2015 is over? Did this meeting take place? If yes: Please provide an update and potentially summarize findings / potentially provide a link to anything relevant. If no: Please edit this task by removing the #Wikimania-Hackathon-2015 project from this task / potentially close this task by editing its status. Thanks for your help and keeping this task updated!

@Aklapper As you can see, the description was updated immediately after the session with some high level metrics. The details on the presentations have been logged in the etherpad. Those details will be moved here in the coming days.

Qgil added a comment.Aug 28 2015, 10:29 AM

So the only work remaining is to copy the content of the Etherpad here?

The video recording would be a nice addition, might have to ask Wikimania Mexico again...

Rfarrand closed this task as Resolved.Sep 1 2015, 4:14 PM

Closing this task. Lots of improvements this time! :)

If/when we get the recording from WMMX I will add it to these pages:

https://wikimania2015.wikimedia.org/wiki/Hackathon/Lessons_Learned
https://wikimania2015.wikimedia.org/wiki/Hackathon

adding content of the eitherpad:
Projects showcase (https://phabricator.wikimedia.org/T102034 )

Please attend the showcase briefing in Don Genaro 2 on Thursday at 15:00 for a detailed briefing, Q&A and best practices list discussion.
Showcase is at 12:30 on Sunday in Don Alberto 1

You will be able to connect your computer to a projector. You can sit, facing the audience, work on your laptop, and your voice will be amplified using a static, adjustable microphone. You can connect with VGA, HDMI, and mini DisplayPort

In order to showcase your project, edit this etherpad and add the related data below:
Wikidata on maps DONE
Creating interactive wikidata map layers, based on queries
@aude
http://wikimap.filbertkm.com/

Services deployment tooling DONE
Use scap to do all the trebuchet things—deploying projects other than mediawiki via scap
URL: http://tyler.zone/scap.gif
@thcipriani

Outreach Dashboard - https://phabricator.wikimedia.org/T103623 DONE
Get an instance of the Wiki Ed Dashboard up and running on wmflabs for other use by edit-a-thons and other non-Wiki Ed outreach projects.
https://github.com/WikiEducationFoundation/WikiEduDashboard
https://outreachdashboard.wmflabs.org
@Ragesoss, @awight, @AndyRussG

Auto-generated screenshot with translated content - https://phabricator.wikimedia.org/T105466 DONE
Auto-generated screenshots for user guides can now also have translated content, and not only translated UI.
@Amire80, @Vikassy, @zeljkofilipin

MediaWiki Usage Report - https://phabricator.wikimedia.org/T100217 DONE
Who the heck is using MediaWiki and how? What can we do to improve the community around MediaWiki?
https://docs.google.com/presentation/d/1MUDdnj9DEV7IKQbocG1samCxylDHpsISm1Uzf5x4WMc/edit?usp=sharing
https://www.mediawiki.org/wiki/2015_MediaWiki_User_Survey
@Ckoerner, @MarkAHershberger, Mglaser (MediaWiki Stakeholders Group, https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group )

VisualEditor Translathon - https://phabricator.wikimedia.org/T91108 DONE
translate ALL the VE-things! https://translatewiki.net/wiki/Project:VisualEditor/2015_Translathon
https://docs.google.com/presentation/d/1dKN37zZqsQgEi3pJsF799ieRd5lzB2WzGH0aJoMf2Kk/edit?usp=sharing
@Elitre, @Trizek-WMF
we can load the slides from any laptop (will be using Siebrand's laptop)

In-editor uploads DONE
Upload files from inside WikiEditor.
http://en.wikipedia.beta.wmflabs.org/wiki/Test_page
@MarkTraceur
Laptop, Internet access, beta labs not crashing, ability to sign in to my beta labs account.

Surface Image Content Gap DONE
R&D project to surface articles with most views that are lacking illustration on Wikipedia.
https://github.com/Commonists/SurfaceImageContentGap
https://fr.wikipedia.org/w/index.php?title=Utilisateur:RawBot/TestInfoBox&oldid=116911399
@PierreSelim

Draft Code of Conduct for Technical spaces - https://phabricator.wikimedia.org/T90908 DONE
We drafted an initial code of conduct for Wikimedia technical spaces. More work is needed.
https://www.mediawiki.org/wiki/Code_of_conduct_for_technical_spaces/Draft
@Mattflaschen, @Aklapper, @Fhocutt, et al

Revision scoring as a service - https://phabricator.wikimedia.org/tag/revscoring/ DONE
Deployed damage detection models for Spanish and Indonesian Wikipedias
URLs
Tool demonstration: https://tools.wmflabs.org/raun/?language=pt&project=wikipedia&userlang=en
http://ores-staging.wmflabs.org/scores/eswiki/reverted/3700393/
https://es.wikipedia.org/wiki/?diff=3700393
http://ores-staging.wmflabs.org/scores/frwiki/reverted/324234/
https://fr.wikipedia.org/wiki/?diff=324234
@Halfak, @gediz,

Wikidata support in OpenStreetMap’s iD editor: https://phabricator.wikimedia.org/T106094 DONE
Make it dead-simple for novice mappers to link OpenStreetMap objects to Wikidata entities
https://github.com/openstreetmap/iD/pull/2732
@mxn
Internet access and a local Web server set up (preferably just @mxn’s laptop)

Bingo Grid Generator - https://phabricator.wikimedia.org/T105932 DONE
Tool to generate bingo grids to be used at Wikimedia events, keynotes and presentations
https://github.com/Commonists/bingo
https://commons.wikimedia.org/wiki/File:Wikimania_2015_-_Pleanaries_and_Q%26A_bingo_card.pdf
https://commons.wikimedia.org/wiki/File:Wikimania_2015_-_Plenary_session_-_bingo_sheets_on_chairs.jpg
https://twitter.com/search?q=wikimania+bingo&src=typd
@JeanFred, @PierreSelim, @Braveheart

Modernize wikitext editing DONE
Implementing a new awsome and modern OOjs-ui interface for editing wikitext
https://gerrit.wikimedia.org/r/#/c/224971/
@Mooeypoo, @ערן

Article Recommendation DONE
Finds articles that are important in a source wiki and would be important but are missing from the destination wiki.
http://recommend.wmflabs.org
@ellery, @leila, @Milimetric

Migrate to Vega 2.0 (interactive) - https://phabricator.wikimedia.org/T106101 DONE
Allow interactive graphs and maps in Wikipedia
@Yurik

Deploy Maps service to production - https://phabricator.wikimedia.org/T105394 DONE
Prepare Maps service for production deployment
@Yurik, @MaxSem, @akosiaris

WikiProject Assessment Helper DONE
Wizard for doing WikiProject Assessments
@kaldari

Webkipedia - https://phabricator.wikimedia.org/T106275 DONE
A web application frontend for Wikipedia
https://chimeces.com/webkipedia
@Jhernandez
Latest chrome and a working internet connection could suffice.

NoclaimsBot DONE
Set up a bot to reduce the number of claimsless items on Wikidata (3M / 15M)
@Multichill
My laptop, VGA

PanoramaViewer on Commons DONE
https://commons.wikimedia.org/wiki/File:St_Etheldreda%27s_Church_Interior_360x180,_London,_UK_-_Diliff.jpg
https://commons.wikimedia.org/wiki/File:Screeniepanoviewer.png
@dschwen

Realtime Top 10 Trending Article Views DONE
@Ottomata
my laptop, mac thunderbolt

How-to analyze billions of Wikipedia pageviews in seconds DONE
@FelipeHoffa
https://www.reddit.com/r/bigquery/comments/3dg9le/analyzing_50_billion_wikipedia_pageviews_in_5/
My laptop

Render references list in multiple columns based on the number of items DONE
@Krinkle
https://phabricator.wikimedia.org/T33597
Laptop

HBot: Using Online Bots to tell the story of the fallen and other minorities
Using online bots to bring diversity to Wikipedia!
URL
@veronicasofiajl, @saiphchen, UNAM,@Lowieciuda
This project was not presented, as the presenters were not present.

Elitre added a comment.Sep 1 2015, 4:26 PM

(I should add a more complete slidedeck ASAP :) )

Qgil updated the task description. (Show Details)Sep 1 2015, 5:38 PM